#include <bits/stdc++.h>
using namespace std;
int main(){
int n;
cin>>n;
double niz[n],niz2[n],zarada=-1,suma=0;
vector<pair<double,double>> vect;
for(int i=0; i<n; i++){
    cin>>niz[i]>>niz2[i];
    vect.push_back(make_pair(niz2[i],niz[i]));
}
sort(vect.begin(),vect.end());
for(int i=0; i<n; i++){
    suma+=vect[i].second;
}
zarada=suma*vect[0].first/100;
for(int i=0; i<n-1; i++){
    suma-=vect[i].second;
    if((suma/100)*vect[i+1].first>=zarada)
        zarada=(suma/100)*vect[i+1].first;
}
printf("%.9f", zarada);
return 0;
}